Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 162009 - CAN-2005-1848 dhcpcd bad packet crash
Summary: CAN-2005-1848 dhcpcd bad packet crash
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: dhcpcd
Version: 2.1
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jason Vas Dias
QA Contact:
URL:
Whiteboard: impact=moderate,source=vendorsec,repo...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-29 02:20 UTC by Josh Bressers
Modified: 2007-11-30 22:06 UTC (History)
1 user (show)

Fixed In Version: RHSA-2005-603
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-07-27 15:11:50 UTC


Attachments (Terms of Use)
Proposed patch for this issue (deleted)
2005-06-29 02:22 UTC, Josh Bressers
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:603 normal SHIPPED_LIVE Moderate: dhcpcd security update 2005-07-27 04:00:00 UTC

Description Josh Bressers 2005-06-29 02:20:43 UTC
Debian has notified vendor-sec of a security hole in dhcpcd: A malformed DHCP
packet can make the code read beyond the end of a buffer and therefore
potentially crash. There's no root execution exposure.

Comment 1 Josh Bressers 2005-06-29 02:22:49 UTC
Created attachment 116105 [details]
Proposed patch for this issue

Comment 2 Mark J. Cox 2005-07-12 07:52:14 UTC
Public by Debian, removing embargo

Comment 3 Jason Vas Dias 2005-07-14 21:55:46 UTC
Now fixed with dhcpcd-1.3.20pl0-2 .
Errata RHSA-2005:603-02 raised.

Comment 4 Red Hat Bugzilla 2005-07-27 15:11:50 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-603.html



Note You need to log in before you can comment on or make changes to this bug.